Subject: Re: bug#21415: 25.0.50; Emacs Trunk -- pixelwise width/height for x-create-frame

From: martin rudalics <[email-masked]>
Date: Fri, 30 Oct 2015 10:34:56 +0100

> When it comes to the ChangeLog -- I noticed that it hadn't been updated for
 > a while

"The" ChangeLog is now in the source directory of the Emacs tree,
currently we are at ChangeLog.2.

 > and assumed that it is now automatically populated from the git
 > commit messages -- is this correct, ....

This is correct.

 > or should I also manually update it?

No.  Kind souls (usually Glen) take care of it at least once a week.

 > Also, is there a major mode like "change-log-mode" that would work with git
 > commits, i.e. where text is formatted like a ChangeLog entry but without
 > requiring the text to be indented?

I think that some vc-... function does that now, but I don't use it.

 > ... which might be related to issues we discussed earlier when you
 >> reported bug#16856.  Did you ever look into that again?
 >
 >
 > No, at the time I didn't have the time and energy to look into it. In
 > addition, I found that when I resized the frame pixel-perfect (using my
 > multicolumn package), the problem didn't occur and I was happy with that.

Do you advice users of your package to resize pixel-perfectly?

 > I can see if the problem is still present, and if not, we can close that
 > issue.

OK.

 > When it comes to the bug tracker -- can I filter the bug reports so that I
 > can only see the ones related to the NextStep port?

There was a way to tag bugs wrt the OS.  But I don't see it any more.
And it's not mentioned in ../admin/notes/bugtracker.

martin